org.firebirdsql.jdbc

## Class FBRowId

- java.lang.Object
- - org.firebirdsql.jdbc.FBRowId

All Implemented Interfaces:
  java.sql.RowId

    public class FBRowId
    extends java.lang.Object
    implements java.sql.RowId

Firebird row-id.

This is a thin wrapper around the bytes of a `RDB$DB_KEY`.

Since:
  4.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`FBRowId(byte[] rowIdBytes)` Creates an `FBRowId` from the provided byte array.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`byte[]` `getBytes()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FBRowId

    public FBRowId(byte[] rowIdBytes)

Creates an `FBRowId` from the provided byte array.

Parameters:
  `rowIdBytes` - Bytes of the row id

### Method Detail

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.sql.RowId`
Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Implementation note: allows for equality with any implementation of `RowId`.

Specified by:
  `equals` in interface `java.sql.RowId`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.sql.RowId`
Overrides:
  `hashCode` in class `java.lang.Object`

#### getBytes

    public byte[] getBytes()

NOTE: implementation will return a clone of the array.

Specified by:
  `getBytes` in interface `java.sql.RowId`